@reload
Feature: Reload step-files
  In order to increase the usability and improve the efficiency
  As a developer using cucumber and chickumber
  I want the chickumber to automatically reload all my scheme-files if they change

Background:
 Given a standard Cucumber project directory structure
 And a file named "features/wired.feature" with:
 """
 Feature: High strung
   Scenario: Wired
     Given we're all wired
     
 """
 And a file named "features/step_definitions/some_remote_place.wire" with:
 """
 host: localhost
 port: 54321
 
 """


Scenario: Reload default files
  Given a file named "features/step_definitions/onestep.scm" with:
  """
  (Given #/i do not match/ () #t)
  """
  And there is a wire server running on port 54321 with stepfiles "features/step_definitions/onestep.scm"
  When I run cucumber --dry-run --no-snippets -f progress
  Then it should pass with
  """
  U
  
  1 scenario (1 undefined)
  1 step (1 undefined)
  
  """
  Given a file named "features/step_definitions/onestep.scm" with:
  """
  (Given #/we're all wired/ () #t)
  """
  When I run cucumber --dry-run --no-snippets -f progress
  Then it should pass with
  """
  -
  
  1 scenario (1 skipped)
  1 step (1 skipped)
  
  """


